<!-- Note: This file is automatically generated from source code comments. Changes made in this file will be overridden. -->

# Function asech

Calculate the hyperbolic arcsecant of a value,
defined as `asech(x) = acosh(1/x) = ln(sqrt(1/x^2 - 1) + 1/x)`.

For matrices, the function is evaluated element wise.


## Syntax

```js
math.asech(x)
```

### Parameters

Parameter | Type | Description
--------- | ---- | -----------
`x` | number &#124; Complex &#124; Array &#124; Matrix | Function input

### Returns

Type | Description
---- | -----------
number &#124; Complex &#124; Array &#124; Matrix | Hyperbolic arcsecant of x


### Throws

Type | Description
---- | -----------


## Examples

```js
math.asech(0.5)       // returns 1.3169578969248166
```


## See also

[acsch](acsch.md),
[acoth](acoth.md)
